Package: grails.transaction

## [Groovy] Annotation Type Rollback

- grails.transaction.Rollback

- A transforms that applies a transaction that always rolls back. Useful for testing. See Transactional

  deprecated:
    Use grails.gorm.transactions.Rollback instead
  Authors:
    Graeme Rocher
  Since:
    2.4

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `null` | `boolean` | `value()` Whether or not the transaction for the annotated method should be rolled back after the method has completed.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### boolean value()

      Whether or not the transaction for the annotated method should be rolled back after the method has completed. @default true